
with CO_sensor; use CO_sensor;
with CH4_sensor; use CH4_sensor;
with air_flow_sensor; use air_flow_sensor;
with HLW_handler; use HLW_handler;
with water_flow_sensor; use water_flow_sensor;
with motor; use motor;
package data_logger is -- ACTIVE

  procedure CO_log(reading : CO_reading); 
  procedure CH4_log(reading : CH4_reading);
  procedure air_flow_log(reading : air_flow_status);
  procedure high_low_water_log(mark : water_mark);
  procedure water_flow_log(reading : water_flow); 
  procedure motor_log(state : motor_state_changes);

end data_logger;
