with HLW_handler; use HLW_handler;
with system; use system;
--with Ada.Interrupts; use Ada.Interrupts;
--with Ada.Interrupts.Names; use Ada.Interrupts.Names;

package body HLW_controller is

  protected Agent is
    PRAGMA PRIORITY(HLW_controller_rtatt.
                    ceiling_priority);
    procedure sensor_high_IH;
    --pragma Attach_Handler(sensor_high_IH, WaterH_Interrupt); 
           -- assigns interrupt handler
    procedure sensor_low_IH;
    --pragma Attach_handler(sensor_low_IH, WaterL_Interrupt);
           -- assigns interrupt handler
  private
  end Agent;

  procedure sensor_high_IH is
  begin
     Agent.sensor_high_IH;
  end  sensor_high_IH;

  procedure sensor_low_IH is
  begin
    Agent.sensor_low_IH;
  end sensor_low_IH;

 protected body Agent is
    procedure sensor_high_IH is
    begin
      HLW_handler.start(high);
    end sensor_high_IH;

    procedure sensor_low_IH is
    begin
      HLW_handler.start(low);
    end sensor_low_IH;
  end Agent;
end HLW_controller;
