package motor is -- PROTECTED

  type pump_status is (on, off);
  type pump_condition is (enabled, disabled);

  type motor_state_changes is (motor_started, 
       motor_stopped, motor_safe, motor_unsafe);
  PUMP_NOT_SAFE : exception;

  procedure not_safe; 
  procedure is_safe; 

  function request_status return pump_status; 
  procedure set_pump(to : pump_status);
end motor;
