package body CH4_status is

 protected Agent is
    PRAGMA PRIORITY(ch4_status_rtatt.
                    ceiling_priority);
    procedure write (current_status : methane_status);
    function read return methane_status;
  private
    environment_status : methane_status := motor_unsafe;
  end Agent;

  function read return methane_status is
  begin
    return Agent.read; 
  end read;

  procedure write (current_status : methane_status)  is
  begin
    Agent.write(current_status); 
  end write;

  protected body Agent is
    procedure write (current_status : methane_status) is
    begin
      environment_status := current_status;
    end write;

    function read return methane_status is
    begin
      return environment_status;
    end read;
  end Agent;

end CH4_status;
